% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/RcppExports.R
\name{cve_cpp}
\alias{cve_cpp}
\title{Conditional Variance Estimation (CVE) method.}
\usage{
cve_cpp(X, Y, method, k, nObs, h = -1, tauInitial = 1, rho1 = 0.1,
  rho2 = 0.9, tol = 1e-05, maxIter = 50L, maxLineSearchIter = 10L,
  attempts = 10L)
}
\arguments{
\item{X}{data points}

\item{Y}{response}

\item{k}{assumed \eqn{rank(B)}}

\item{nObs}{parameter for bandwidth estimation, typical value
\code{nObs = nrow(X)^lambda} with \code{lambda} in the range [0.3, 0.8].}

\item{h}{Bandwidth, if not specified \code{nObs} is used to compute a bandwidth.
on the other hand if given (positive floating point number) \code{nObs} is ignored.}

\item{tol}{Tolerance for update error used for stopping criterion (default 1e-5)}

\item{maxIter}{Upper bound of optimization iterations (default 50)}

\item{attempts}{Number of tryes with new random optimization starting points (default 10)}

\item{tau}{Initial step size (default 1)}

\item{slack}{Ratio of small negative error allowed in loss optimization (default -1e-10)}
}
\value{
List containing the bandwidth \code{h}, optimization objective \code{V}
    and the matrix \code{B} estimated for the model as a orthogonal basis of the
    orthogonal space spaned by \code{V}.
}
\description{
This version uses a "simple" stiefel optimization schema.
}
\keyword{internal}
